/* ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : DMA.h
**     Project     : ProcessorExpert
**     Processor   : MC56F82748VLH
**     Component   : Init_DMA
**     Version     : Component 01.002, Driver 01.02, CPU db: 3.50.001
**     Compiler    : CodeWarrior DSP C Compiler
**     Date/Time   : 2014-05-20, 12:46, # CodeGen: 4
**     Abstract    :
**          This file implements the DMA (DMA) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
**     Settings    :
**          Component name                                 : DMA
**          Device                                         : DMA
**          Channels                                       : 
**            Channel 0                                    : Initialize
**              Settings                                   : 
**                Transfer mode                            : Cycle-steal
**                Auto disable external request            : Enabled
**                Auto align                               : Disabled
**                Channel request source                   : Request source 11
**                Channel links settings                   : 
**                  Link channel control                   : No link
**                  Link channel 1 (LCH1)                  : DMA channel 0
**                  Link channel 2 (LCH2)                  : DMA channel 0
**                Data source                              : 
**                  External object declaration            : extern uint16_t DMA_Data[];
**                  Address                                : (uint32_t)DMA_Data*2
**                  Address increment                      : Enabled
**                  Transfer size                          : 16-bit
**                  Address modulo                         : 256 Bytes
**                Data destination                         : 
**                  External object declaration            : 
**                  Address                                : (uint32_t)0x0000E011 * 2
**                  Address increment                      : Disabled
**                  Transfer size                          : 16-bit
**                  Address modulo                         : Buffer disabled
**                Byte count                               : 256
**              Pins/Signals                               : 
**                External DMA request                     : Disabled
**              Interrupts                                 : 
**                DMA transfer done interrupt              : 
**                  Interrupt                              : INT_DMA0
**                  Interrupt priority                     : 0
**                  ISR Name                               : DMA_transfer_done_isr
**                  DMA transfer interrupt                 : Enabled
**              Initialization                             : 
**                External request                         : Enabled
**                Start DMA transfer                       : Yes
**            Channel 1                                    : Do not initialize
**            Channel 2                                    : Do not initialize
**            Channel 3                                    : Do not initialize
**          Initialization                                 : 
**            Call Init method                             : yes
**            Utilize after reset values                   : default
**     Contents    :
**         Init - void DMA_Init(void);
**
**     Copyright : 1997 - 2013 Freescale Semiconductor, Inc. All Rights Reserved.
**     SOURCE DISTRIBUTION PERMISSIBLE as directed in End User License Agreement.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/
/*!
** @file DMA.h
** @version 01.02
** @brief
**          This file implements the DMA (DMA) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
*/         
/*!
**  @addtogroup DMA_module DMA module documentation
**  @{
*/         

#ifndef DMA_H_
#define DMA_H_

/* MODULE DMA. */

#include "DMA_Init.h"

/* Initialization method user name */
#define DMA_Init DMA_Init
/* PDD macros peripheral base address parameter */
#define DMA_DEVICE DMA_BASE_PTR
/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see DMA.c file for more information).
** ===================================================================
*/
void DMA_transfer_done_isr(void);

/* END DMA. */
#endif /* #ifndef __DMA_H_ */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.08]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
