/* ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : DMA_Config.h
**     Project     : ProcessorExpert
**     Processor   : MC56F82748VLH
**     Component   : Init_DMA
**     Version     : Component 01.002, Driver 01.02, CPU db: 3.50.001
**     Compiler    : CodeWarrior DSP C Compiler
**     Date/Time   : 2014-05-20, 12:46, # CodeGen: 4
**     Abstract    :
**          This file implements the DMA (DMA) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
**     Settings    :
**          Component name                                 : DMA
**          Device                                         : DMA
**          Channels                                       : 
**            Channel 0                                    : Initialize
**              Settings                                   : 
**                Transfer mode                            : Cycle-steal
**                Auto disable external request            : Enabled
**                Auto align                               : Disabled
**                Channel request source                   : Request source 11
**                Channel links settings                   : 
**                  Link channel control                   : No link
**                  Link channel 1 (LCH1)                  : DMA channel 0
**                  Link channel 2 (LCH2)                  : DMA channel 0
**                Data source                              : 
**                  External object declaration            : extern uint16_t DMA_Data[];
**                  Address                                : (uint32_t)DMA_Data*2
**                  Address increment                      : Enabled
**                  Transfer size                          : 16-bit
**                  Address modulo                         : 256 Bytes
**                Data destination                         : 
**                  External object declaration            : 
**                  Address                                : (uint32_t)0x0000E011 * 2
**                  Address increment                      : Disabled
**                  Transfer size                          : 16-bit
**                  Address modulo                         : Buffer disabled
**                Byte count                               : 256
**              Pins/Signals                               : 
**                External DMA request                     : Disabled
**              Interrupts                                 : 
**                DMA transfer done interrupt              : 
**                  Interrupt                              : INT_DMA0
**                  Interrupt priority                     : 0
**                  ISR Name                               : DMA_transfer_done_isr
**                  DMA transfer interrupt                 : Enabled
**              Initialization                             : 
**                External request                         : Enabled
**                Start DMA transfer                       : Yes
**            Channel 1                                    : Do not initialize
**            Channel 2                                    : Do not initialize
**            Channel 3                                    : Do not initialize
**          Initialization                                 : 
**            Call Init method                             : yes
**            Utilize after reset values                   : default
**     Contents    :
**         Init - void DMA_Init(void);
**
**     Copyright : 1997 - 2013 Freescale Semiconductor, Inc. All Rights Reserved.
**     SOURCE DISTRIBUTION PERMISSIBLE as directed in End User License Agreement.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/
/*!
** @file DMA_Config.h                                                  
** @version 01.02
** @brief
**          This file implements the DMA (DMA) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
*/         
/*!
**  @addtogroup DMA_Config_module DMA_Config module documentation
**  @{
*/         

#ifndef DMA_Config_H_
#define DMA_Config_H_

/* MODULE DMA. */

/* Channel 0 data source external object declaration */
extern uint16_t DMA_Data[];

/* DMA_DSR_BCR0: DONE=1 */
#define DMA_DSR_BCR0_VALUE_1 0x01000000
#define DMA_DSR_BCR0_MASK_1  0x01000000
/* DMA_REQC: DMAC0=0x0B */
#define DMA_REQC_VALUE_2     0x0B000000
#define DMA_REQC_MASK_2      0x0F000000
#define DMA_SAR0_VALUE       (uint32_t)DMA_Data*2
#define DMA_DAR0_VALUE       (uint32_t)0x0000E011 * 2
/* DMA_DSR_BCR0: ??=0,CE=0,BES=0,BED=0,??=0,REQ=0,BSY=0,DONE=0,BCR=0x0100 */
#define DMA_DSR_BCR0_VALUE_2 0x0100
#define DMA_DSR_BCR0_MASK_2  0xFFFFFFFF
/* DMA_DCR0: EINT=1,ERQ=1,CS=1,AA=0,??=0,??=0,??=0,??=0,??=0,SINC=1,SSIZE=2,DINC=0,DSIZE=2,START=1,SMOD=5,DMOD=0,D_REQ=1,??=0,LINKCC=0,LCH1=0,LCH2=0 */
#define DMA_DCR0_VALUE       0xE0655080
#define DMA_DCR0_MASK        0xFFFFFFFF

#define DMA_AUTOINIT

#define INT_DMA0_ISR DMA_transfer_done_isr

/* END DMA. */
#endif /* #ifndef __DMA_Config_H_ */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.08]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
