/** ###################################################################
 **     Filename    : CMPA_Init.h
 **     Processor   : MC56F82748VLH
 **     Version     : 1.7
 **     Abstract    :
 **          This file implements the CMPA module initialization
 **          according to the Peripheral Initialization settings, and
 **          defines interrupt service routines prototypes.
 **
 **     Contents    :
 **         Int   - void CMPA_Init(void);
 **
 **     Copyright : 1997 - 2013 Freescale Semiconductor, Inc. All Rights Reserved.
 **     SOURCE DISTRIBUTION PERMISSIBLE as directed in End User License Agreement.
 **
 **     http      : www.freescale.com
 **     mail      : support@freescale.com
 ** ################################################################### */

/*!
 * @file CMPA_Init.h
 * @version 1.7
 * @brief This file implements the CMPA module initialization according to the
 *        Peripheral Initialization settings, and defines interrupt service
 *        routines prototypes.
 */


/* MODULE CMPA_Init. */


/* ----------------------------------------------------------------------------
   -- CMPA_Init module documentation
   ---------------------------------------------------------------------------- */

/*!
 * @addtogroup CMPA_Init_module CMPA_Init module documentation
 * @{
 */

#ifdef __cplusplus
extern "C" {
#endif

extern void CMPA_Init(void);

#ifdef __cplusplus
}
#endif

/*!
 * @}
 */ /* end of group CMPA_Init_module */


/* END CMPA_Init. */

/** ###################################################################
 **
 **     This file is a part of Processor Expert static initialization
 **     library for the Freescale 56800 series of microcontrollers.
 **
 ** ################################################################### */
