/** ###################################################################
 **     Filename    : QSCI0_Init.h
 **     Processor   : MC56F82748VLH
 **     Version     : 1.0
 **     Abstract    :
 **          This file implements the QSCI0 module initialization
 **          according to the Peripheral Initialization settings, and
 **          defines interrupt service routines prototypes.
 **
 **     Contents    :
 **         Int   - void QSCI0_Init(void);
 **
 **     Copyright : 1997 - 2013 Freescale Semiconductor, Inc. All Rights Reserved.
 **     SOURCE DISTRIBUTION PERMISSIBLE as directed in End User License Agreement.
 **
 **     http      : www.freescale.com
 **     mail      : support@freescale.com
 ** ################################################################### */

/*!
 * @file QSCI0_Init.h
 * @version 1.0
 * @brief This file implements the QSCI0 module initialization according to the
 *        Peripheral Initialization settings, and defines interrupt service
 *        routines prototypes.
 */


/* MODULE QSCI0_Init. */


/* ----------------------------------------------------------------------------
   -- QSCI0_Init module documentation
   ---------------------------------------------------------------------------- */

/*!
 * @addtogroup QSCI0_Init_module QSCI0_Init module documentation
 * @{
 */

#ifdef __cplusplus
extern "C" {
#endif

extern void QSCI0_Init(void);

#ifdef __cplusplus
}
#endif

/*!
 * @}
 */ /* end of group QSCI0_Init_module */


/* END QSCI0_Init. */

/** ###################################################################
 **
 **     This file is a part of Processor Expert static initialization
 **     library for the Freescale 56800 series of microcontrollers.
 **
 ** ################################################################### */
